Page MenuHomePhabricator

Please add tasnimnews.com & khamenei.ir to the wgCopyUploadsDomains whitelist of Wikimedia Commons
Closed, ResolvedPublic

Description

Both sites are cc-by-4.0 and much of their content is original. Would be helpful to have it whitelisted for direct uploads.

Event Timeline

czar created this task.May 5 2016, 7:16 AM
Restricted Application added subscribers: Zppix, Poyekhali, JEumerus and 3 others. · View Herald TranscriptMay 5 2016, 7:16 AM
Dereckson claimed this task.

@czar Once whitelisted, how do you plan to upload images from these two domains?

There are some issues with news sites on Wikimedia Commons: VoA published original content but also republished agency content. Do these sites take measure to correctly identify their own content from the content they publish from 3rd party sources?

Change 287063 had a related patch set uploaded (by Dereckson):
Add tasnimnews.com & khamenei.ir to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/287063

Dereckson added a comment.EditedMay 5 2016, 1:22 PM

I discussed the matter on Freenode wikimedia-commons to gather opinions: @Steinsplitter shares my reserves on the usefulness of these domains, so please @czar, could you tell us what you plan to do, what's the root problem you're trying to solve is?

czar added a comment.May 10 2016, 2:15 PM

Yes, the sites watermark their images with their agency logo and their photographer attribution. Right now users crop out that info before an external reviewer (such as myself) needs to double-back and find that cropped image within the site's gallery. It would make much more sense to upload the fully watermarked image to Commons, wait for an external review to confirm the license, and then use CropTool to crop the image, which leaves the full attribution in the history. In any event, it would be easier to upload and these files and discourage pre-upload cropping if we allowed direct uploads from the website per the whitelist.

Currently, users can't benefit from "direct uploads from the website per the whitelist". This is restricted to GWT and admins.

czar added a comment.May 13 2016, 3:53 AM

GWT? In my vanilla upload, I have a "Source URL:" field—I can't find the Commons chart of user rights for who has access to that field, but that was the intended use.

Change 287063 merged by jenkins-bot:
Add tasnimnews.com & khamenei.ir to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/287063

Dereckson closed this task as Resolved.May 19 2016, 8:24 PM